ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.StgToJS

Synopsis

- stgToJS :: Logger -> StgToJSConfig -> [CgStgTopBinding] -> Module -> [SptEntry] -> ForeignStubs -> CollectedCCs -> FilePath -> IO ()

# Documentation

stgToJS Source #

Arguments

:: Logger |
-> StgToJSConfig |
-> [CgStgTopBinding] |
-> Module |
-> [SptEntry] |
-> ForeignStubs |
-> CollectedCCs |
-> FilePath | Output file name
-> IO () |

Code generator for JavaScript